<?php

return [
    'permissions' => [
        'admin' => [
            'dashboard' => ['index', 'notification'],
            'banner' => ['index', 'create', 'edit', 'toggle', 'destroy'],
            'ad' => ['index', 'create', 'edit', 'toggle', 'destroy'],
            'order' => ['index', 'show', 'status.change', 'payment.status.toggle', 'assign.rider'],
            'review' => ['index', 'toggle'],
            'category' => ['index', 'create', 'edit', 'toggle', 'destroy'],
            'coupon' => ['index', 'create', 'edit', 'destroy'],
            'subcategory' => ['index', 'create', 'edit', 'toggle', 'destroy'],
            'legalpage' => ['index', 'edit'],
            'generale-setting' => ['index', 'update'],
            'business-setting' => ['index', 'update'],
            'verification' => ['index', 'update'],
            'socialLink' => ['index', 'update'],
            'themeColor' => ['index', 'update', 'change'],
            'deliveryCharge' => ['index', 'create', 'edit', 'destroy'],
            'pusher' => ['index', 'update'],
            'mailConfig' => ['index', 'update'],
            'paymentGateway' => ['index', 'update', 'toggle'],
            'sms-gateway' => ['index', 'update'],
            'contactUs' => ['index', 'update'],
            'firebase' => ['index', 'update'],
            'profile' => ['index', 'update', 'change-password'],
            'rider' => ['index', 'create', 'show', 'edit', 'destroy', 'toggle', 'assign.order'],
            'customer' => ['index', 'create', 'show', 'edit', 'destroy', 'toggle'],
            'customerNotification' => ['index', 'send'],
            'language' => ['index', 'create', 'edit', 'destroy', 'export', 'import'],
            'employee' => ['index', 'create', 'edit', 'destroy', 'toggle', 'reset.password', 'permission', 'permission.update'],
            'role' => ['index', 'create', 'edit', 'destroy', 'permission', 'permission.update'],
            'ticketissuetype' => ['index', 'create', 'edit', 'toggle', 'delete'],
            'supportTicket' => ['index', 'show', 'setScheduled', 'sendMessage', 'updateStatus', 'pinMessage', 'chatToggle'],
            'support' => ['index', 'destroy'],
            'pos' => ['index', 'sales', 'draft'],
            'brand' => ['index', 'create', 'edit', 'toggle', 'destroy'],
            'color' => ['index', 'create', 'edit', 'toggle', 'destroy'],
            'size' => ['index', 'create', 'edit', 'toggle', 'destroy'],
            'unit' => ['index', 'create', 'edit', 'toggle', 'destroy'],
            'product' => ['index', 'create', 'show', 'edit', 'toggle', 'destroy', 'barcode'],
            'bulk-product-import' => ['index', 'store'],
            'bulk-product-export' => ['index', 'demo', 'export'],
            'gallery' => ['index', 'store'],
            'gift' => ['index', 'create', 'edit', 'toggle', 'destroy'],
        ],
    ],

    // only for human readable permissions names
    'customerReadableNames' => [
        'index' => 'list',
        'destroy' => 'delete',
        'toggle' => 'enable/disable',
        'status.toggle' => 'enable/disable',
        'reset.password' => 'reset password',
        'show' => 'view details',
        'permission.update' => 'update permission',
        'voucher' => 'coupon voucher',
        'bulk-product-import' => 'bulk product import',
        'store' => 'create',
        'bulk-product-export' => 'bulk product export',
        'gallery' => 'gallery import',
        'status.change' => 'change status',
        'payment.status.toggle' => 'payment update',
        'assign.rider' => 'assign rider',
        'subcategory' => 'sub category',
        'generale-setting' => 'general setting',
        'business-setting' => 'business setting',
        'socialLink' => 'social link',
        'themeColor' => 'theme color',
        'deliveryCharge' => 'delivery charge',
        'pusher' => 'pusher config',
        'mailConfig' => 'mail config',
        'paymentGateway' => 'payment gateway',
        'sms-gateway' => 'sms gateway',
        'contactUs' => 'contact us',
        'firebase' => 'firebase config',
        'change-password' => 'change password',
        'assign.order' => 'assign order',
        'customer' => 'customer',
        'customerNotification' => 'customer notification',
        'language' => 'language management',
        'ticketissuetype' => 'ticket issue type',
        'supportTicket' => 'support ticket',
        'updateStatus' => 'status update',
        'chatToggle' => 'chat enable/disable',
        'support' => 'contact messages',
        'role' => 'roles & permissions',
    ],
];
