<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('coupons', function (Blueprint $table) {
            $table->id();
            $table->string('code');
            $table->string('type');
            $table->float('discount');
            $table->float('min_amount', 16, 2);
            $table->timestamp('started_at');
            $table->timestamp('expired_at')->nullable();
            $table->boolean('is_active')->default(1);
            $table->integer('limit_for_user')->nullable()->default(10);
            $table->float('max_discount_amount', 16, 2)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('coupons');
    }
};
