<?php

namespace Database\Seeders;

use App\Models\Color;
use Illuminate\Database\Seeder;

class ColorSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $colors = [
            [
                'name' => 'Red',
                'code' => '#FF0000',
            ],
            [
                'name' => 'Blue',
                'code' => '#0000FF',
            ],
            [
                'name' => 'Green',
                'code' => '#00FF00',
            ],
            [
                'name' => 'Yellow',
                'code' => '#FFFF00',
            ],
            [
                'name' => 'Orange',
                'code' => '#FFA500',
            ],
            [
                'name' => 'Purple',
                'code' => '#800080',
            ],
            [
                'name' => 'Black',
                'code' => '#000000',
            ],
            [
                'name' => 'White',
                'code' => '#FFFFFF',
            ],
            [
                'name' => 'Gray',
                'code' => '#808080',
            ],
            [
                'name' => 'Brown',
                'code' => '#A52A2A',
            ],
            [
                'name' => 'Pink',
                'code' => '#FFC0CB',
            ],
            [
                'name' => 'Violet',
                'code' => '#EE82EE',
            ],
            [
                'name' => 'Lime',
                'code' => '#00FF00',
            ],
            [
                'name' => 'Cyan',
                'code' => '#00FFFF',
            ]
        ];

        foreach ($colors as $color) {
            Color::create([
                'name' => $color['name'],
                'color_code' => $color['code'],
                'is_active' => true
            ]);
        }
    }
}
